Index: /code/branches/masterserver2/data/levels/templates/spaceshipAssff.oxt
===================================================================
--- /code/branches/masterserver2/data/levels/templates/spaceshipAssff.oxt	(revision 8162)
+++ /code/branches/masterserver2/data/levels/templates/spaceshipAssff.oxt	(revision 8163)
@@ -8,10 +8,10 @@
    explosionchunks        = 6
 
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
+   health            = 100000
+   maxhealth         = 200000
+   initialhealth     = 100000
 
-   primaryThrust     = 100;
-   auxilaryThrust    = 30;
+   primaryThrust     = 10000;
+   auxilaryThrust    = 3000;
    rotationThrust    = 25;
 
@@ -57,5 +57,5 @@
 <Template name=spaceshipassffengine baseclass=MultiStateEngine>
   <MultiStateEngine
-   boostfactor    = 2
+   boostfactor    = 20
 
    speedfront     = 150
@@ -67,6 +67,6 @@
    defEngineSndBoost = "sounds/Engine_high.ogg"
 
-   accelerationfront     = 500
-   accelerationbrake     = 500
+   accelerationfront     = 200
+   accelerationbrake     = 200
    accelerationback      =  125
    accelerationleftright =  125
Index: /code/branches/masterserver2/data/levels/tutorial.oxw
===================================================================
--- /code/branches/masterserver2/data/levels/tutorial.oxw	(revision 8162)
+++ /code/branches/masterserver2/data/levels/tutorial.oxw	(revision 8163)
@@ -30,8 +30,8 @@
 <Drone name="meineDrohne" primarythrust="80" auxilarythrust="10" rotationthrust="10" mass= "50" linearDamping = "0.9" angularDamping = "0.7">
   <attached>
-    <Model scale="1" mesh="drone.mesh"/>
+    <Model scale="10" mesh="drone.mesh"/>
   </attached>
   <collisionShapes>
-    <BoxCollisionShape position="0,0,0"      halfExtents="10, 10, 10" />
+    <BoxCollisionShape position="10,10,0"      halfExtents="10, 10, 10" />
   </collisionShapes>
 </Drone>
@@ -39,8 +39,8 @@
     <Drone name="meineDrohne" primarythrust="80" auxilarythrust="10" rotationthrust="10" mass= "50" linearDamping = "0.9" angularDamping = "0.7">
       <attached>
-        <Model scale="1" mesh="rocket.mesh"/>
+        <Model scale="1" mesh="drone.mesh"/>
       </attached>
       <collisionShapes>
-        <BoxCollisionShape position="0,0,0"      halfExtents="10, 10, 10" />
+        <BoxCollisionShape position="0,10,0"      halfExtents="10, 10, 10" />
       </collisionShapes>
     </Drone>
Index: /code/branches/masterserver2/src/libraries/network/MasterServer.cc
===================================================================
--- /code/branches/masterserver2/src/libraries/network/MasterServer.cc	(revision 8162)
+++ /code/branches/masterserver2/src/libraries/network/MasterServer.cc	(revision 8163)
@@ -99,4 +99,30 @@
   }
 
+  /* maybe the two methods below can be merged into one and 
+   * made to use ENet's RTT functionality to check for disconnected 
+   * servers.
+   */
+  void 
+  MasterServer::helper_pingServers( void )
+  {
+    /* get an iterator */
+    std::list<packet::ServerInformation>::iterator i;
+    /* loop through list elements */
+    for( i = mainlist.serverlist.begin(); i 
+        != mainlist.serverlist.end(); ++i ) 
+    {
+      /* to be implemented, waiting for Oli to reply to my email - sandro */
+    
+    }
+ 
+  }
+
+  void 
+  MasterServer::helper_cleanupServers()
+  {
+    /* same as above. */
+
+  }
+
 
 
@@ -235,5 +261,13 @@
 
     /* TODO schedule pings for servers somewhere here */
+    /* Iterate through servers and send pings */
+    helper_pingServers();
     
+    /* check for timed out pings and remove those guys from
+     * the server list
+     */
+    helper_cleanupServers();
+
+
     /* create an iterator for the loop */
     enet_host_service( this->server, event, 100 );
Index: /code/branches/masterserver2/src/libraries/network/MasterServer.h
===================================================================
--- /code/branches/masterserver2/src/libraries/network/MasterServer.h	(revision 8162)
+++ /code/branches/masterserver2/src/libraries/network/MasterServer.h	(revision 8163)
@@ -69,4 +69,6 @@
       /* helpers */
       void helper_sendlist( ENetEvent *event );
+      void helper_pingServers( void );
+      void helper_cleanupServers();
 
       /* members */