Index: /code/branches/spaceboundaries/src/orxonox/infos/GametypeInfo.cc
===================================================================
--- /code/branches/spaceboundaries/src/orxonox/infos/GametypeInfo.cc	(revision 8165)
+++ /code/branches/spaceboundaries/src/orxonox/infos/GametypeInfo.cc	(revision 8166)
@@ -7,5 +7,5 @@
  *
  *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
+ *   modify it under the terms of the GNU General Public Licens
  *   as published by the Free Software Foundation; either version 2
  *   of the License, or (at your option) any later version.
Index: /code/branches/spaceboundaries/src/orxonox/worldentities/SpaceBoundaries.cc
===================================================================
--- /code/branches/spaceboundaries/src/orxonox/worldentities/SpaceBoundaries.cc	(revision 8165)
+++ /code/branches/spaceboundaries/src/orxonox/worldentities/SpaceBoundaries.cc	(revision 8166)
@@ -42,7 +42,7 @@
 #include <infos/PlayerInfo.h>
 
-#include <OgreTextAreaOverlayElement.h>
+//#include <OgreTextAreaOverlayElement.h>
 #include <OgreOverlayManager.h>
-#include <overlays/OverlayText.h>
+//#include <overlays/OverlayText.h>
 
 namespace orxonox
@@ -55,36 +55,36 @@
         COUT(0) << "Test ob Konstruktor aufgerufen wird." << std::endl; //!< message for debugging
         // Show Boundaries on the radar.
-         m_pColoredTextAreaOverlayElementFactory = new ColoredTextAreaOverlayElementFactory();
+//         m_pColoredTextAreaOverlayElementFactory = new ColoredTextAreaOverlayElementFactory();
     }
     SpaceBoundaries::~SpaceBoundaries()
     {
-        delete pColoredTextAreaOverlayElementFactory;
+//        delete pColoredTextAreaOverlayElementFactory;
     }
     
     void SpaceBoundaries::setCenter(Vector3 r)
     {
-        this->center = r;
+        this->center_ = r;
     }
     Vector3 SpaceBoundaries::getCenter()
     {
-        return this->center;
+        return this->center_;
     }
     
     void SpaceBoundaries::setMaxDistance(float r)
     {
-        this->maxDistance = r;
+        this->maxDistance_ = r;
     }
     float SpaceBoundaries::getMaxDistance()
     {
-        return this->maxDistance;
+        return this->maxDistance_;
     }
     
     void SpaceBoundaries::setWarnDistance(float r)
     {
-        this->warnDistance = r;
+        this->warnDistance_ = r;
     }
     float SpaceBoundaries::getWarnDistance()
     {
-        return this->warnDistance;
+        return this->warnDistance_;
     }
 
@@ -111,5 +111,5 @@
                 COUT(0) << "Pawn wird erkannt!!!" << std::endl; //!< message for debugging
                 COUT(0) << "Distanz:" << distance << std::endl; //!< message for debugging
-                if(distance > this->warnDistance /*&& distance < this->maxDistance*/)
+                if(distance > this->warnDistance_ /*&& distance < this->maxDistance*/)
                 {
                     COUT(0) << "You are leaving the area" << std::endl; //!< message for debugging
@@ -121,5 +121,5 @@
                     
                     }
-                } else if(distance > maxDistance)
+                } else if(distance > maxDistance_)
                 {
                     // Decrease Health
@@ -138,5 +138,5 @@
     {
         Vector3 itemPosition = item->getPosition();
-        return (itemPosition.distance(this->center));
+        return (itemPosition.distance(this->center_));
     }
     
@@ -159,10 +159,10 @@
         warning.show();*/
         // Register the overlay element
-         OverlayManager::getSingleton().addOverlayElementFactory(pColoredTextAreaOverlayElementFactory);
+/*         OverlayManager::getSingleton().addOverlayElementFactory(pColoredTextAreaOverlayElementFactory);
          
         Ogre::TextAreaOverlayElement *pTextArea =
                 (Ogre::TextAreaOverlayElement*)Ogre::OverlayManager.createOverlayElement("TextArea", "MyTextArea");
         pTextArea->setCaption("Some plain text");
-
+*/
         
     }
Index: /code/branches/spaceboundaries/src/orxonox/worldentities/SpaceBoundaries.h
===================================================================
--- /code/branches/spaceboundaries/src/orxonox/worldentities/SpaceBoundaries.h	(revision 8165)
+++ /code/branches/spaceboundaries/src/orxonox/worldentities/SpaceBoundaries.h	(revision 8166)
@@ -40,5 +40,5 @@
 #include "worldentities/WorldEntity.h"
 
-#include <ColoredTextAreaOverlayElementFactory.h>
+//#include <ColoredTextAreaOverlayElementFactory.h>
 
 #include <string>
@@ -67,12 +67,12 @@
 
         private:
-            Vector3 center;
-            float maxDistance;
-            float warnDistance;
+            Vector3 center_;
+            float maxDistance_;
+            float warnDistance_;
         
             float computeDistance(WorldEntity *item); //!< Auf den Mittelpunkt 'center' bezogen.
             void displayWarning(const std::string warnText);
             bool isHumanPlayer(Pawn *item);
-            ColoredTextAreaOverlayElementFactory* pColoredTextAreaOverlayElementFactory;
+ //           ColoredTextAreaOverlayElementFactory* pColoredTextAreaOverlayElementFactory;
     };
 }