Index: branches/script_engine/src/lib/script_engine/Makefile.am
===================================================================
--- branches/script_engine/src/lib/script_engine/Makefile.am	(revision 8164)
+++ branches/script_engine/src/lib/script_engine/Makefile.am	(revision 8170)
@@ -13,6 +13,7 @@
 
 libORXscript_a_SOURCES = \
-		script.cc\
-		script_manager.cc
+                script.cc\
+                script_manager.cc\
+                script_trigger.cc
 
 AM_CPPFLAGS= @LUA_INCLUDES@
@@ -21,5 +22,6 @@
                 lunar.h\
                 script.h\
-                script_manager.h
+                script_manager.h\
+                script_trigger.h
 
 
@@ -34,18 +36,18 @@
 
 example_DEPENDENCIES = \
-		$(MAINSRCDIR)/world_entities/libORXwe.a \
-		$(libORXlibs_a_LIBRARIES_) \
-		$(MAINSRCDIR)/util/libORXutils.a
+                $(MAINSRCDIR)/world_entities/libORXwe.a \
+                $(libORXlibs_a_LIBRARIES_) \
+                $(MAINSRCDIR)/util/libORXutils.a
 
 example_LDADD = \
-		$(MAINSRCDIR)/util/libORXutils.a \
-		$(libORXlibs_a_LIBRARIES_) \
-		libORXscript.a -L../../../extern_libs @LUA_LIBS@ \
-		$(MAINSRCDIR)/world_entities/libORXwe.a \
-		$(libORXlibs_a_LIBRARIES_) \
-		$(MAINSRCDIR)/util/libORXutils.a
+                $(MAINSRCDIR)/util/libORXutils.a \
+                $(libORXlibs_a_LIBRARIES_) \
+                libORXscript.a -L../../../extern_libs @LUA_LIBS@ \
+                $(MAINSRCDIR)/world_entities/libORXwe.a \
+                $(libORXlibs_a_LIBRARIES_) \
+                $(MAINSRCDIR)/util/libORXutils.a
 
 example_SOURCES= \
-		example.cc \
-		\
-		../util/executor/executor_lua.cc
+                example.cc \
+                \
+                ../util/executor/executor_lua.cc
Index: branches/script_engine/src/lib/script_engine/script_manager.cc
===================================================================
--- branches/script_engine/src/lib/script_engine/script_manager.cc	(revision 8164)
+++ branches/script_engine/src/lib/script_engine/script_manager.cc	(revision 8170)
@@ -68,5 +68,4 @@
 {
   const TiXmlElement* script = scripts->FirstChildElement();
-  const TiXmlElement* object;
 
   PRINTF(4)("Creating scriptlist\n");
@@ -74,5 +73,5 @@
   while( script != NULL)
   {
-    { // scope to make the Loadparam work
+    { // scope to make the LoadParam work
     LoadParam(script, "file", this, ScriptManager, setCurrentScriptFile)
         .describe("the fileName of the script, that should be loaded into this world")
@@ -82,14 +81,4 @@
     if(!currentScript.name.empty()) // if LoadParam didn't fail... fill the object list with the needed objects
     {
-    /*object = script->FirstChildElement("object");
-
-    while(object != NULL)
-    {
-      LoadParam(object, "object", this, ScriptManager, setCurrentScriptFile)
-          .describe("the fileName of the script, that should be loaded into this world")
-          .defaultValues("");
-      object = object->NextSiblingElement("object");
-    }
-    */
 
     LOAD_PARAM_START_CYCLE(script, object);
@@ -99,5 +88,4 @@
     }
     LOAD_PARAM_END_CYCLE(object);
-
 
     scriptList.push_back(currentScript);
Index: branches/script_engine/src/lib/script_engine/script_manager.h
===================================================================
--- branches/script_engine/src/lib/script_engine/script_manager.h	(revision 8164)
+++ branches/script_engine/src/lib/script_engine/script_manager.h	(revision 8170)
@@ -1,4 +1,4 @@
 #ifndef _SCRIPT_MANAGER_H
-#define _SCRIPT_MNAGER_H
+#define _SCRIPT_MANAGER_H
 
 #include <list>
Index: branches/script_engine/src/lib/script_engine/script_trigger.h
===================================================================
--- branches/script_engine/src/lib/script_engine/script_trigger.h	(revision 8170)
+++ branches/script_engine/src/lib/script_engine/script_trigger.h	(revision 8170)
@@ -0,0 +1,27 @@
+#ifndef _SCRIPT_TRIGGER_H
+#define _SCRIPT_TRIGGER_H
+
+#include "world_entity.h"
+#include "loading/load_param.h"
+
+class ScriptTrigger : public WorldEntity
+{
+  public:
+    ScriptTrigger();
+    ~ScriptTrigger();
+
+    virtual void loadParams(const TiXmlElement* root);
+    virtual voit tick(float timestep);
+
+  private:
+
+    WorldEntity* target;
+    bool callOnce;
+    bool scriptCalled;
+    float radius;
+    std::string scriptFile;
+    std::string functionName;
+
+};
+
+#endif