Index: code/branches/lastmanstanding3/data/levels/TEAMstanding.oxw
===================================================================
--- code/branches/lastmanstanding3/data/levels/TEAMstanding.oxw	(revision 8165)
+++ code/branches/lastmanstanding3/data/levels/TEAMstanding.oxw	(revision 8171)
@@ -17,5 +17,5 @@
  name         = "TEAMstanding"
  description  = "testmap for gametype last team standing"
- gametype     =  "TeamDeathmatch"
+ gametype     =  "LastTeamStanding"
 >
   <templates>
@@ -93,6 +93,6 @@
        </collisionShapes>
    </StaticEntity>
-
-<!-------------- Thin Gate -------------->
+<!-- END of CUBE-->
+<!-------------- Centered Thin Gate -------------->
 
    <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=100000 >
@@ -113,5 +113,15 @@
    <MovableEntity position="0,270,-80" direction="-3,-4,-3">
        <attached>
-           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=2/>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
+<!-- to bulk gate, left -->
+   <ForceField position="0,-275,-80" direction="3,0,2" diameter=150 velocity=2000 length=900 />
+   <MovableEntity position="0,-275,-80" direction="3,0,2">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
            <?lua for i=0,4,1 do ?>
                <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
@@ -137,9 +147,39 @@
        </collisionShapes>
    </StaticEntity>
-
+<!-- back to thin gate -->
+   <ForceField position="300,0,650" direction="1,1.5,-4" diameter=150 velocity=2000 length=900 />
+   <MovableEntity position="300,0,650" direction="1,1.5,-4">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
+<!-- to thin gate -->
    <ForceField position="300,300,500" direction="-1,0,-2" diameter=100 velocity=1500 length=900 />
    <MovableEntity position="300,300,500" direction="-1,0,-2">
        <attached>
-           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=2/>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
+<!-- alternative stream -->
+   <ForceField position="830,-300,830" direction="-1,0,0" diameter=150 velocity=2000 length=900 />
+   <MovableEntity position="830,-300,830" direction="-1,0,0">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
+<!-- alternative stream II-->
+   <ForceField position="830,350,830" direction="0,0,-1" diameter=150 velocity=2000 length=900 />
+   <MovableEntity position="830,350,830" direction="0,0,-1">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
            <?lua for i=0,4,1 do ?>
                <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
@@ -160,9 +200,39 @@
        </collisionShapes>
    </StaticEntity>
-
-   <ForceField position="-700,-300,-700" direction="0,1,0" diameter=100 velocity=2000 length=900 />
+<!-- "lift" -->
+   <ForceField position="-700,-300,-700" direction="0,1,0" diameter=100 velocity=2000 length=400 />
    <MovableEntity position="-700,-300,-700" direction="0,1,0">
        <attached>
-           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=2/>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
+<!-- to thin gate, low -->
+   <ForceField position="0,60,-830" direction="0,-1,2" diameter=150 velocity=2000 length=900 />
+   <MovableEntity position="0,60,-830" direction="0,-1,2">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
+<!-- alternative stream -->
+   <ForceField position="-830,-350,-830" direction="2,0,0" diameter=100 velocity=2000 length=900 />
+   <MovableEntity position="-830,-350,-830" direction="2,0,0">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
+<!-- alternative stream II-->
+   <ForceField position="-870,350,-830" direction="0,0,1" diameter=150 velocity=2000 length=900 />
+   <MovableEntity position="-870,350,-830" direction="0,0,1">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
            <?lua for i=0,4,1 do ?>
                <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
@@ -188,4 +258,24 @@
        </collisionShapes>
    </StaticEntity>
+<!-- to solar panels -->
+   <ForceField position="-850,-300,-200" direction="1,0,2" diameter=150 velocity=2000 length=900 />
+   <MovableEntity position="-850,-300,-200" direction="1,0,2">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
+<!-- along the bar -->
+   <ForceField position="-900,50,-100" direction="1,0,-1" diameter=150 velocity=2000 length=900 />
+   <MovableEntity position="-900,50,-100" direction="1,0,-1">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
 
 <!-------------- 3 Solar Panels --------------->
@@ -207,27 +297,109 @@
 <?lua end ?>
 
-<!-------------- ???? --------------->
-   <StaticEntity position="500,0,-500" direction="0,0,0" collisionType=static mass=100000 >
-       <attached>
-           <Model position="0,0,0" mesh="plane.mesh" scale=20  pitch="7" roll="0" yaw="0"/>
-       </attached>
-       <!--collisionShapes>
-           <BoxCollisionShape position="0,0,0" halfExtents="20,400,20" pitch="0" roll="0" yaw="0"/>
-       </collisionShapes-->
-   </StaticEntity>
-
-
-<?lua
-max = 16
-for i = 0, max, 1
-do
-    y = math.sin(i/max*6)*500
-    z = math.cos(i/max*6)*500
-    j = 1
-?>
-
-    <TeamSpawnPoint team=<?lua print( math.mod(i,4)) ?> position="<?lua print(y*1.4+z*0.2) ?>,0,<?lua print(z*1.4-y*0.2) ?>" direction="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-
-<?lua end ?>
+   <ForceField position="-600,100,400" direction="0,-1,-3" diameter=100 velocity=2000 length=900 />
+   <MovableEntity position="-600,100,400" direction="0,-1,-3">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
+<!-- alternative stream -->
+   <ForceField position="-830,-100,830" direction="0,0,-1" diameter=100 velocity=2000 length=900 />
+   <MovableEntity position="-830,-100,830" direction="0,0,-1">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
+<!-- alternative stream II -->
+   <ForceField position="-830,350,830" direction="1,0,0" diameter=100 velocity=2000 length=900 />
+   <MovableEntity position="-830,350,830" direction="1,0,0">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
+<!-- along the panels -->
+   <ForceField position="-830,250,250" direction="3,0,2" diameter=100 velocity=2000 length=900 />
+   <MovableEntity position="-830,250,250" direction="3,0,2">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
+
+<!-------------- Thin Gate -------------->
+
+   <StaticEntity position="500,0,-500" direction="1,0,-1" collisionType=static mass=100000 >
+       <attached>
+           <Model position="0,-1200,0" mesh="hs-w01.mesh" scale3D="300,400,900" pitch="90" roll="0" yaw="0"/>
+           <Model position="0,100,-80" scale=150 mesh="sphere.mesh" />
+       </attached>
+       <collisionShapes>
+           <BoxCollisionShape position="121,0,-80" halfExtents="18,400,18" />
+           <BoxCollisionShape position="-121,0,-80" halfExtents="18,400,18" />
+           <SphereCollisionShape position="0,100,-80" radius="150" />
+       </collisionShapes>
+   </StaticEntity>
+<!-- to thin gate middle -->
+   <ForceField position="550,350,-550" direction="-3.3,0,3" diameter=100 velocity=2000 length=900 />
+   <MovableEntity position="550,350,-550" direction="-3.3,0,3">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
+<!-- alternative stream -->
+   <ForceField position="830,-350,-830" direction="0,0,1" diameter=100 velocity=2000 length=900 />
+   <MovableEntity position="830,-350,-830" direction="0,0,1">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
+<!-- alternative stream II -->
+   <ForceField position="830,350,-830" direction="-1,0,0" diameter=100 velocity=2000 length=900 />
+   <MovableEntity position="830,350,-830" direction="-1,0,0">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
+
+<!---------------- Spawnpoints ------------------>
+    <TeamSpawnPoint team=0 position="845,350,-835" direction="-1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <TeamSpawnPoint team=0 position="845,-350,-835" direction="0,0,1" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <TeamSpawnPoint team=0 position="835,350,-845" direction="-1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <TeamSpawnPoint team=0 position="835,-350,-845" direction="0,0,1" spawnclass=SpaceShip pawndesign=spaceshipassff />
+
+    <TeamSpawnPoint team=1 position="-845,350,835" direction="1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <TeamSpawnPoint team=1 position="-845,-100,835" direction="0,0,-1" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <TeamSpawnPoint team=1 position="-835,350,845" direction="1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <TeamSpawnPoint team=1 position="-835,-100,845" direction="0,0,-1" spawnclass=SpaceShip pawndesign=spaceshipassff />
+
+    <TeamSpawnPoint team=2 position="-870,350,-835" direction="0,0,1" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <TeamSpawnPoint team=2 position="-840,-350,-835" direction="1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <TeamSpawnPoint team=2 position="-865,350,-840" direction="0,0,1" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <TeamSpawnPoint team=2 position="-835,-350,-840" direction="1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+
+    <TeamSpawnPoint team=3 position="835,350,845" direction="0,0,-1" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <TeamSpawnPoint team=3 position="835,-300,845" direction="-1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <TeamSpawnPoint team=3 position="845,350,835" direction="0,0,-1" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <TeamSpawnPoint team=3 position="845,-300,835" direction="-1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+<Bot />
 
   </Scene>