Index: /code/branches/lastmanstanding3/data/levels/lastTeamStandingII.oxw
===================================================================
--- /code/branches/lastmanstanding3/data/levels/lastTeamStandingII.oxw	(revision 8173)
+++ /code/branches/lastmanstanding3/data/levels/lastTeamStandingII.oxw	(revision 8174)
@@ -171,7 +171,7 @@
    <MovableEntity position="830,-300,830" direction="-1,0,0">
        <attached>
-           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
-           <?lua for i=0,4,1 do ?>
-               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0,0" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.5,0,0" scale=1/>
            <?lua end ?>
        </attached>
@@ -181,7 +181,7 @@
    <MovableEntity position="830,350,830" direction="0,0,-1">
        <attached>
-           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
-           <?lua for i=0,4,1 do ?>
-               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0,0,0.5" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0,0,0.5" scale=1/>
            <?lua end ?>
        </attached>
@@ -224,7 +224,7 @@
    <MovableEntity position="-830,-350,-830" direction="2,0,0">
        <attached>
-           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
-           <?lua for i=0,4,1 do ?>
-               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0,0" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.5,0,0" scale=1/>
            <?lua end ?>
        </attached>
@@ -234,7 +234,7 @@
    <MovableEntity position="-870,350,-830" direction="0,0,1">
        <attached>
-           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
-           <?lua for i=0,4,1 do ?>
-               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0,0,0.5" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0,0,0.5" scale=1/>
            <?lua end ?>
        </attached>
@@ -310,7 +310,7 @@
    <MovableEntity position="-830,-100,830" direction="0,0,-1">
        <attached>
-           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
-           <?lua for i=0,4,1 do ?>
-               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0,0" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.5,0,0" scale=1/>
            <?lua end ?>
        </attached>
@@ -320,7 +320,7 @@
    <MovableEntity position="-830,350,830" direction="1,0,0">
        <attached>
-           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
-           <?lua for i=0,4,1 do ?>
-               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0,0,0.5" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0,0,0.5" scale=1/>
            <?lua end ?>
        </attached>
@@ -360,11 +360,21 @@
        </attached>
    </MovableEntity>
+<!-- across the field -->
+   <ForceField position="550,-350,-550" direction="-3,0,1" diameter=100 velocity=2000 length=900 />
+   <MovableEntity position="550,-350,-550" direction="-3,0,1">
+       <attached>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <?lua end ?>
+       </attached>
+   </MovableEntity>
 <!-- alternative stream -->
    <ForceField position="830,-350,-830" direction="0,0,1" diameter=100 velocity=2000 length=900 />
    <MovableEntity position="830,-350,-830" direction="0,0,1">
        <attached>
-           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
-           <?lua for i=0,4,1 do ?>
-               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0,0" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.5,0,0" scale=1/>
            <?lua end ?>
        </attached>
@@ -374,7 +384,7 @@
    <MovableEntity position="830,350,-830" direction="-1,0,0">
        <attached>
-           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=1/>
-           <?lua for i=0,4,1 do ?>
-               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+           <Billboard position="0,0,0" material="Flares/ringflare2" colour="0,0,0.5" scale=1/>
+           <?lua for i=0,4,1 do ?>
+               <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0,0,0.5" scale=1/>
            <?lua end ?>
        </attached>